Subject: Re: Newbie experience with push over ssh

From: Joseph Wakeling <[email-masked]>
Date: Wed, 14 Feb 2007 16:10:45 +0000

Matthias Lederhofer wrote:
> I don't think there is any way to 'clone to remote'.  You'd have to
> ssh to the other machine and clone from there, or you can just create
> an empty repository on the remote host and push the stuff into it.

I remember coming across the same issue as Matthieu and never got round
to solving it.  In my case the desire is to upload the code onto a
remote machine---in particular a cluster where I run simulations.  I
don't particularly need that remote code to be in a repo or otherwise,
since it's only there to be run, not edited.

As far as I know I have no way of installing git on that machine.
Perhaps I could install it locally but I suspect the sysadmin would not
be supportive.

So, is there a way of using git to upload my code to a machine without a
repo ready-prepared?